/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.vm;

/**
 * 列情報クラス
 * 
 * @since 2.0
 */
public class ColumnInfo {


	protected String m_name = null; //項目（カラム）名
	protected int m_number = 0; //項目No 0:未設定 (1〜ｎ)


    /**
     * 
     */
    public ColumnInfo() {
        super();
    }
	/**
	 * 
	 */
	public ColumnInfo(String name ) {
		m_name = name; 
	}

	/**
	 * 
	 */
	public ColumnInfo(int number ) {
		m_number = number; 
	}


	/**
	 * @return
	 */
	public String getName() {
		return m_name;
	}

	/**
	 * @return
	 */
	public int getNumber() {
		return m_number;
	}


	/**
	 * @param string
	 */
	public void setName(String string) {
		m_name = string;
	}

	/**
	 * @param i
	 */
	public void setNumber(int i) {
		m_number = i;
	}

}
